Subject: Lean won't work with the emacs mode

From: Arvid Marx <[email-masked]>
Date: Tue, 07 Jan 2020 19:53:49 +0100

The emacs mode for Lean (which doesn't appear to be packaged yet, but
of course works via MELPA etc.) expects some sort of root directory for
Lean, which is not given simply because binaries and other files are
put into separate directories. This of course makes Lean impossible to
use as intended. However, I'm not quite sure how this would be fixed in
practice, as I'm not aware of any suitable directory hierarchy in such
a case.

Any ideas?

--

Arvid